Promote Clarity Process Snapshot
curl --request POST \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_snapshot_id": null,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"status": "live",
"creator_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>",
"kind": "current_process",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"confidence": "low",
"nodeType": "event",
"nodeSubtype": "start",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
},
"sourceConfidence": "low",
"resolutionStatus": "resolved"
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>",
"access": "read"
}
],
"interactions": [
{
"action": "read",
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"target": "role",
"ask": "<string>",
"status": "open",
"thread": [],
"createdAt": "<string>",
"scope": "step",
"proposal": "<string>",
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
}
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readiness": "low",
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>",
"processEffort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"captureBaseline": {
"generatedAt": "2023-11-07T05:31:56Z",
"captureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"omittedCaptureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}ClarityV2
Promote Clarity Process Snapshot
Promote a draft or historic Clarity v2 snapshot to live for its kind.
POST
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
snapshots
/
{kind}
/
{snapshot_id}
/
promote
Promote Clarity Process Snapshot
curl --request POST \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/snapshots/{kind}/{snapshot_id}/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"snapshot": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_snapshot_id": null,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"status": "live",
"creator_type": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sandbox_id": "<string>",
"last_session_id": "<string>",
"kind": "current_process",
"data": {
"version": 0,
"steps": [
{
"id": "<string>",
"targetSteps": [
{
"stepId": "<string>",
"label": "<string>",
"isDefault": true
}
],
"title": "<string>",
"action": "<string>",
"role": "<string>",
"system": "<string>",
"input": "<string>",
"output": "<string>",
"exception": "<string>",
"handling": "<string>",
"assumptions": [
"<string>"
],
"openQuestions": [
"<string>"
],
"confidence": "low",
"nodeType": "event",
"nodeSubtype": "start",
"description": "<string>",
"rationale": "<string>",
"sources": [
{
"attribution": "<string>",
"excerpt": "<string>",
"captureId": "<string>",
"evidenceId": "<string>",
"locator": {
"type": "transcript_message",
"messageIndex": 4503599627370495,
"timestampMs": 4503599627370495
},
"sourceConfidence": "low",
"resolutionStatus": "resolved"
}
],
"condition": "<string>",
"pool": "<string>",
"dataObjects": [
{
"name": "<string>",
"state": "<string>",
"access": "read"
}
],
"interactions": [
{
"action": "read",
"field": "<string>",
"screen": "<string>",
"system": "<string>",
"value": "<string>",
"valueSource": "<string>"
}
],
"effort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"extraCaptureNeeded": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
},
"extraCaptureNeeds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"gap": "<string>",
"proposal": "<string>"
}
],
"missingInfo": [
{
"id": "<string>",
"factKey": "<string>",
"target": "role",
"ask": "<string>",
"status": "open",
"thread": [],
"createdAt": "<string>",
"scope": "step",
"proposal": "<string>",
"fact": "<string>",
"applied": {
"person": "<string>",
"excerpt": "<string>",
"value": "<string>",
"exceptions": [
{
"exception": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"handlings": [
{
"exceptionId": "<string>",
"handling": "<string>",
"frequency": "rare"
}
],
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
}
},
"mapChange": "<string>",
"decidedByUserId": "<string>",
"decidedAt": "<string>",
"assignedUserId": "<string>",
"assignedByUserId": "<string>",
"assignedAt": "<string>"
}
],
"readiness": "low",
"readinessRationale": "<string>",
"linkedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"laneId": "<string>"
}
],
"swot": {
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"opportunities": [
"<string>"
],
"threats": [
"<string>"
]
},
"summary": "<string>",
"processEffort": [
{
"person": "<string>",
"timeSpent": {
"hours": 1,
"period": "day"
},
"frequency": {
"count": 1,
"period": "day"
},
"basis": "stated",
"excerpt": "<string>",
"userId": "<string>",
"captureId": "<string>"
}
],
"captureBaseline": {
"generatedAt": "2023-11-07T05:31:56Z",
"captureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"omittedCaptureIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"lanes": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Path Parameters
Was this page helpful?